#ifndef H_CORAL_LIB_CPPERNO
#define H_CORAL_LIB_CPPERNO
// This file is part of the Coral project.
// Please read the copyright notice in the LICENSE file.

#ifndef SWIG

/*
 * Wrapper for POSIX errno for use by C++
 */

#include <string>

namespace coral {
     int cpp_errno();
     std::string cpp_strerror(int errnum);
     std::string cpp_strerror();
}

#endif


#endif
